import 'package:flutter/material.dart';
import 'package:syncrow_web/pages/common/buttons/default_button.dart';
import 'package:syncrow_web/utils/color_manager.dart';
import 'package:syncrow_web/utils/extension/build_context_x.dart';
import 'package:syncrow_web/utils/style.dart';

class SearchResetButtons extends StatelessWidget {
  const SearchResetButtons({
    super.key,
    required this.onSearch,
    required this.onReset,
  });

  final VoidCallback onSearch;
  final VoidCallback onReset;

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisSize: MainAxisSize.min,
      children: [
        Column(
          mainAxisSize: MainAxisSize.min,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            const SizedBox(height: 25),
            Center(
              child: Container(
                height: 42,
                width: 100,
                decoration: containerDecoration,
                child: Center(
                  child: DefaultButton(
                    onPressed: onSearch,
                    borderRadius: 9,
                    child: Text(
                      'Search',
                      style: context.textTheme.titleSmall!
                          .copyWith(color: Colors.white, fontSize: 12),
                    ),
                  ),
                ),
              ),
            ),
          ],
        ),
        const SizedBox(width: 10),
        Column(
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            const SizedBox(height: 25),
            Center(
              child: Container(
                height: 42,
                width: 100,
                decoration: containerDecoration,
                child: Center(
                  child: DefaultButton(
                    backgroundColor: ColorsManager.whiteColors,
                    borderRadius: 9,
                    onPressed: onReset,
                    child: Text(
                      'Reset',
                      style: context.textTheme.titleSmall!
                          .copyWith(color: Colors.black, fontSize: 12),
                    ),
                  ),
                ),
              ),
            ),
          ],
        ),
      ],
    );
  }
}
